Package fr.gouv.vitam.storage.engine.server.storagelog.parameters

# Enum Class StorageLogbookParameterName

java.lang.Object
java.lang.Enum<StorageLogbookParameterName>
fr.gouv.vitam.storage.engine.server.storagelog.parameters.StorageLogbookParameterName

All Implemented Interfaces:
  `Serializable`, `Comparable<StorageLogbookParameterName>`, `Constable`

public enum StorageLogbookParameterName extends Enum<StorageLogbookParameterName>
Enum with all possible logbook storage parameters
Use to set parameter value and to check emptiness or nullity

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `agentIdentifierRequester`
  Requester of the storage order
  `agentIdentifiers`
  List of the offers identifiers on which the object has been written
  `applicationId`
  Application-Id
  `archivesId`
  Archive Units ID with contains the object
  `contextId`
  Context Id of the request
  `contractId`
  Access Contract Id of the request
  `dataCategory`
  Data category
  `digest`
  Digest of the written object.
  `digestAlgorithm`
  digest Algorithm used for this object Could be for instance: "SHA-256", "SHA-512", ...
  `eventDateTime`
  Set by the storage engine : date time of the event
  `eventType`
  Event type: should use one global Enum ActionType
  Could be for instance: "Unzip", "CheckSeda", ...
  `objectGroupIdentifier`
  Object Group Identifier.
  Identifier of the object group corresponding to the object written in the storage offer.
  `objectIdentifier`
  Object Identifier.
  Identifier of the object to be written in the storage offer.
  `objectSize`
  Object Size
  `outcome`
  Status between: "OK", "KO", "PENDING"
  One must use the StorageLogbookOutcome enum.
  `qualifier`
  Object qualifier in the objectGroup
  `size`
  Size in bytes of the object written on the storage offer
  `tenantId`
  Tenant ID
  `version`
  Object version in the objectGroup
  `xRequestId`
  X-Request-Id

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static StorageLogbookParameterName`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static StorageLogbookParameterName[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### eventDateTime

    public static final StorageLogbookParameterName eventDateTime
    Set by the storage engine : date time of the event

  - ### xRequestId

    public static final StorageLogbookParameterName xRequestId
    X-Request-Id

  - ### applicationId

    public static final StorageLogbookParameterName applicationId
    Application-Id

  - ### tenantId

    public static final StorageLogbookParameterName tenantId
    Tenant ID

  - ### eventType

    public static final StorageLogbookParameterName eventType
    Event type: should use one global Enum ActionType
    Could be for instance: "Unzip", "CheckSeda", ...

  - ### objectIdentifier

    public static final StorageLogbookParameterName objectIdentifier
    Object Identifier.
    Identifier of the object to be written in the storage offer.
    For instance: Object GUID

  - ### dataCategory

    public static final StorageLogbookParameterName dataCategory
    Data category

  - ### objectGroupIdentifier

    public static final StorageLogbookParameterName objectGroupIdentifier
    Object Group Identifier.
    Identifier of the object group corresponding to the object written in the storage offer.
    For instance: Object Group GUID

  - ### digest

    public static final StorageLogbookParameterName digest
    Digest of the written object.

  - ### digestAlgorithm

    public static final StorageLogbookParameterName digestAlgorithm
    digest Algorithm used for this object Could be for instance: "SHA-256", "SHA-512", ...

  - ### size

    public static final StorageLogbookParameterName size
    Size in bytes of the object written on the storage offer

  - ### agentIdentifiers

    public static final StorageLogbookParameterName agentIdentifiers
    List of the offers identifiers on which the object has been written

  - ### agentIdentifierRequester

    public static final StorageLogbookParameterName agentIdentifierRequester
    Requester of the storage order

  - ### outcome

    public static final StorageLogbookParameterName outcome
    Status between: "OK", "KO", "PENDING"
    One must use the StorageLogbookOutcome enum.

  - ### qualifier

    public static final StorageLogbookParameterName qualifier
    Object qualifier in the objectGroup

  - ### version

    public static final StorageLogbookParameterName version
    Object version in the objectGroup

  - ### contextId

    public static final StorageLogbookParameterName contextId
    Context Id of the request

  - ### contractId

    public static final StorageLogbookParameterName contractId
    Access Contract Id of the request

  - ### archivesId

    public static final StorageLogbookParameterName archivesId
    Archive Units ID with contains the object

  - ### objectSize

    public static final StorageLogbookParameterName objectSize
    Object Size

- ## Method Details

  - ### values

    public static StorageLogbookParameterName[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static StorageLogbookParameterName valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null